package com.yeejoin.amos.api.openapi.face.orm.entity;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.typroject.tyboot.core.rdbms.orm.entity.BaseEntity;

/**
 * 特种设备基本信息-施工信息
 *
 * @author duanwei
 * @date 2022-07-20
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("tm_jg_construction_info")
@ApiModel(value="TmJgConstructionInfo对象", description="特种设备基本信息-施工信息")
public class ConstructionInfo extends AbstractBaseEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "设备唯一标识码")

    private String sequenceCode;

    @ApiModelProperty(value = "监管系统唯一编码")
    private String superviseCode;

    @ApiModelProperty(value = "施工类型(安装、改造、移装)")
    private String constructionType;

    @ApiModelProperty(value = "施工单位统一社会信用代码")
    private String uscUnitCreditCode;

    @ApiModelProperty(value = "施工单位名称")
    private String uscUnitName;

    @ApiModelProperty(value = "安装/改造/移装告知ID")
    private String uscInformId;

    @ApiModelProperty(value = "施工时间")
    private Date uscDate;



}
