package com.yeejoin.equipmanage.common.datasync.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ProjectName: YeeFireDataProcessRoot
 * @Package: com.yeejoin.equipmanage.common.datasync.entity
 * @ClassName: GeographicalRegion
 * @Author: Jianqiang Gao
 * @Description: 建筑
 * @Date: 2021/3/24 11:10
 * @Version: 1.0
 */
@Data
@Accessors(chain = true)
@TableName("room")
@ApiModel(value = "Room对象", description = "建筑数据")
public class Room implements Serializable {

    private static final long serialVersionUID = 889948530358677464L;

    @ApiModelProperty(value = "ID")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "CIM的ID")
    @TableField("mrid")
    private String mRid;

    @ApiModelProperty(value = "名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "别名")
    @TableField("aliasname")
    private String aliasName;

    @ApiModelProperty(value = "空间位置信息")
    @TableField("coordinates")
    private String coordinates;

    @ApiModelProperty(value = "高度")
    @TableField("height")
    private BigDecimal height;

    @ApiModelProperty(value = "占地面积")
    @TableField("area")
    private BigDecimal area;

    @ApiModelProperty(value = "建筑平面图")
    @TableField("plan")
    private String plan;

    @ApiModelProperty(value = "建筑立面图")
    @TableField("elevations")
    private String elevations;

    @ApiModelProperty(value = "所属区域标识")
    @TableField("regionid")
    private String regionId;

    @ApiModelProperty(value = "建（构）筑物标识")
    @TableField("buildingid")
    private String buildingId;

    @ApiModelProperty(value = "所属楼层id")
    @TableField("floorid")
    private String floorId;

    @ApiModelProperty(value = "对角坐标标识")
    @TableField("rect")
    private Boolean rect;

    @ApiModelProperty(value = "中文描述")
    @TableField("description")
    private String description;

}