package com.yeejoin.precontrol.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 惩罚表Dto
 *
 * @author duanwei
 * @date 2021-04-06
 */
@Data
public class RetributionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "惩罚人id")
    /**
     * 惩罚人id
     */
    private Long personId;
    @ApiModelProperty(value = "任务id")
    /**
     * id
     */
    private Long taskId;
    @ApiModelProperty(value = "惩罚金额")
    /**
     * 惩罚金额
     */
    private BigDecimal money;
    @ApiModelProperty(value = "状态（0-未交罚款，1-已交罚款）")
    /**
     * 状态（0-未交罚款，1-已交罚款）
     */
    private Integer status;
    @ApiModelProperty(value = "交罚款日期")
    /**
     * 交罚款日期
     */
    private Date exchangeDate;


}
