package com.yeejoin.precontrol.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

import com.yeejoin.precontrol.common.entity.publics.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 短信流水表
 *
 * @author duanwei
 * @date 2021-01-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("rpm_sms_log")
@ApiModel(value = "SmsLog对象", description = "短信流水表")
public class SmsLog extends BaseEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "接收者")
    private String receiver;

    @ApiModelProperty(value = "验证码")
    private String authCode;

    @ApiModelProperty(value = "短信内容")
    private String body;

    @ApiModelProperty(value = "模板id")
    private String templateId;

    @ApiModelProperty(value = "1-未使用；2-已使用（暂时不用,放到redis）")
    private Integer status;

    @ApiModelProperty(value = "到期时间（暂时不用,放到redis）")
    private Date expireDate;


}
